Subject: Re: bug#15024: 24.3; Crash when editing pattern for Helm-for-files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Aug 2013 00:43:55 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 08 Aug 2013 20:52:14 +0200
> 
> Eli Zaretskii wrote:
> >> From: "Sebastien Vauban" <[email-masked]>
> >> Date: Mon, 05 Aug 2013 10:34:55 +0200
> >> 
> >> When editing the pattern of helm-for-files (trying to refine locate's results
> >> -- using Everything, via Cygwin Bash), I got this crash:
> >
> > Does this happen frequently, or can you reproduce this?  If yes, I can
> > give you instructions for investigating next time it happens.
> 
> Well, as it should happen again, yes, you can still give me instructions for
> next time.

Can you run Emacs under GDB at all times?  If so, type this GDB
command:

  (gdb) set debugexceptions 1

and let it run.  When the problem happens, I expect that GDB will show
us the exception name (that's what the above setting is about), and it
also might stop the program and show the real backtrace via "bt".

If you cannot run Emacs under GDB, there's still a way to see at least
the address where the exception happened, but if that address is
inside some library function or Windows API, we will probably have
hard time guessing which code of ours triggered that.  So please do
try running under GDB.

Thanks.